%define	modname	gl860
%define	name	dkms-%{modname}
%define kernver	2.6.27b

Name:		%{name}
Version:	0.2n
Release:	%{mkrel 1}
Summary:	Driver for Genesys gl860 webcams
License:	GPLv2+
Source0:	http://downloads.sourceforge.net/%{modname}/%{modname}_%{kernver}.tgz
URL:		http://sourceforge.net/projects/%{modname}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Group:		Development/Kernel
Requires(pre):	dkms
Requires(post): dkms
BuildArch:	noarch

%description
A driver for Genesys webcams using the non-UVC-compliant gl860 chip,
including those found in the Asus Z37 / S37 and C90s models.

%prep
%setup -q -n nvgl
mv base_gl860.h gl860.h

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}
cp -a *.c *.h Makefile K* %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}
cat > %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}/dkms.conf <<EOF

PACKAGE_VERSION="%{version}-%{release}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{modname}"
MAKE[0]="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build modules"
CLEAN="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build clean"
BUILT_MODULE_NAME[0]="\$PACKAGE_NAME"
DEST_MODULE_LOCATION[0]="/kernel/3rdparty/\$PACKAGE_NAME"
REMAKE_INITRD="no"
AUTOINSTALL="YES"
EOF

#installation instructions
cat > README.urpmi << EOF 
At present this driver cannot automatically detect the particular type
of chip your webcam contains. You must manually set the chip model in
/etc/modprobe.conf before the driver will work correctly.

If you have an F191, add this line to /etc/modprobe.conf:
options gl860 pilote=ol

If you have a 1.3 megapixel camera that is not the F191, add this line
to /etc/modprobe.conf:
options gl860 pilote=sim

If you have a 2.0 megapixel camera, first try adding this line to
/etc/modprobe.conf:
options gl860 pilote=nsp

After adding the line, try loading the driver with the command
'modprobe gl860', as root. Then test the camera: we recommend testing
with the application 'Cheese' (package cheese). If the camera works,
you can edit the file /etc/modprobe.preload and add just the single
word 'gl860' (without the quotes) as a new line at the bottom of the
file, to load the driver each time the system boots.

If the camera does not appear to work, change the line in
/etc/modprobe.conf to one of the other possible settings for the
'pilote' option:

options gl860 pilote=ms
options gl860 pilote=a
options gl860 pilote=c

One of the five possibilities should work. Once you have found the one
that works for you, make the change to /etc/modprobe.preload. If you
cannot get your webcam working with any of the 'pilote' options,
please report this to the driver developers at
http://sourceforge.net/projects/gl860/ .

Further information, other available module options, and instructions
on debugging and reporting problems can be found in the README file.
EOF

%post
#if [ $1 == 1 ]
#then 
  dkms add -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
  dkms build -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
  dkms install -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
#fi


%preun
#if [ $1 == 0 ]
#  then
  dkms remove -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade --all
#fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README README.urpmi
/usr/src/%{modname}-%{version}-%{release}



%changelog
* Sat Jan 03 2009 Adam Williamson <awilliamson@mandriva.com> 0.2n-1mdv2009.1
+ Revision: 323521
- import dkms-gl860


